Get Document
curl --request GET \
--url https://api.contextual.ai/v1/extract/documents/{document_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contextual.ai/v1/extract/documents/{document_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contextual.ai/v1/extract/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "<string>",
"file_name": "<string>",
"file_size": 123,
"page_count": 123,
"uploaded_at": "<string>",
"status": "<string>",
"signed_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/extract
Get Document
Get document information by ID.
GET
/
extract
/
documents
/
{document_id}
Get Document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response model for document information.
Unique ID of the document
Original filename
File size in bytes
Number of pages in the document
Timestamp when the document was uploaded
Document status
Presigned download URL for the document (valid for 1 hour). Only available for GCS and S3 storage backends.
Was this page helpful?
⌘I